AnnouncePluginExtension (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.api.plugins.announce

## Class AnnouncePluginExtension

- java.lang.Object
- - org.gradle.api.plugins.announce.AnnouncePluginExtension

- Deprecated.

      @Deprecated
      public class AnnouncePluginExtension
      extends java.lang.Object

  The extension used by the AnnouncePlugin.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnnouncePluginExtension​(org.gradle.api.internal.project.ProjectInternal project)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `announce​(java.lang.String msg, java.lang.String type)` | Deprecated. Sends an announcement of the given type.
    `org.gradle.api.plugins.announce.internal.AnnouncerFactory` | `getAnnouncerFactory​()` | Deprecated.
    `Announcer` | `getLocal​()` | Deprecated. Returns an `Announcer` that sends announcements to the local desktop, if a notification mechanism is available.
    `java.lang.String` | `getPassword​()` | Deprecated. The password to use for announcements.
    `java.lang.String` | `getUsername​()` | Deprecated. The username to use for announcements.
    `void` | `setAnnouncerFactory​(org.gradle.api.plugins.announce.internal.AnnouncerFactory announcerFactory)` | Deprecated.
    `void` | `setLocal​(Announcer localAnnouncer)` | Deprecated. Sets the `Announcer` that should be used to send announcements to the local desktop.
    `void` | `setPassword​(java.lang.String password)` | Deprecated.
    `void` | `setUsername​(java.lang.String username)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnouncePluginExtension

          public AnnouncePluginExtension​(org.gradle.api.internal.project.ProjectInternal project)

      Deprecated.

  - ### Method Detail

    - #### getLocal

          public Announcer getLocal​()

      Deprecated.
      Returns an `Announcer` that sends announcements to the local desktop, if a notification mechanism is available.
      Returns:
        The announcer.

    - #### setLocal

          public void setLocal​(Announcer localAnnouncer)

      Deprecated.
      Sets the `Announcer` that should be used to send announcements to the local desktop.

    - #### announce

          public void announce​(java.lang.String msg,
                               java.lang.String type)

      Deprecated.
      Sends an announcement of the given type.
      Parameters:
        `msg` - The content of the announcement
        `type` - The announcement type.

    - #### getUsername

          public java.lang.String getUsername​()

      Deprecated.
      The username to use for announcements.

    - #### setUsername

          public void setUsername​(java.lang.String username)

      Deprecated.

    - #### getPassword

          public java.lang.String getPassword​()

      Deprecated.
      The password to use for announcements.

    - #### setPassword

          public void setPassword​(java.lang.String password)

      Deprecated.

    - #### getAnnouncerFactory

          public org.gradle.api.plugins.announce.internal.AnnouncerFactory getAnnouncerFactory​()

      Deprecated.

    - #### setAnnouncerFactory

          public void setAnnouncerFactory​(org.gradle.api.plugins.announce.internal.AnnouncerFactory announcerFactory)

      Deprecated.